# Get all labels

Get all labels associated to the locations of the user

Endpoint: GET /labels/list
Version: 20260701
Security: X-API-KEY, Authorization

## Query parameters:

  - `query` (string)
    Used for searching for a specific keyword within label names, only label names matching the given query via 'like' will be returned.

## Response 200 fields (*/*):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `warnings` (array)
    (optional) Holds further warnings

  - `response` (object, required)
    The actual response object of the response

  - `response.offset` (integer)
    The offset for pagination

  - `response.max` (integer)
    The maximum number of results to return
    Example: 10

  - `response.count` (integer)
    The total count of labels matching the search
    Example: 100

  - `response.labels` (array)

  - `response.labels.name` (string, required)
    Label name as String.

  - `response.labels.adminOnly` (boolean)
    Permission on label, whether it can be used by admins or everyone.

## Response 400 fields (application/json):

  - `status` (string, required)
    Enum: same as `status` (20 values)

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 401 fields (application/json):

  - `status` (string, required)
    Enum: same as `status` (20 values)

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: same as `errorCode` (20 values)

  - `response` (object)
    (optional) The actual response object of the response

## Response 403 fields (application/json):

  - `status` (string, required)
    Enum: same as `status` (20 values)

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: same as `errorCode` (20 values)

  - `response` (object)
    (optional) The actual response object of the response

## Response 404 fields (application/json):

  - `status` (string, required)
    Enum: same as `status` (20 values)

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: same as `errorCode` (20 values)

  - `response` (object)
    (optional) The actual response object of the response


